Avid Pro Audio Community

Avid Pro Audio Community

How to Join & Post  •  Community Terms of Use  •  Help Us Help You

Knowledge Base Search  •  Community Search  •  Learn & Support


Avid Home Page

Go Back   Avid Pro Audio Community > Pro Mixing > Artist Series

Reply
 
Thread Tools Search this Thread Display Modes
  #1  
Old 06-13-2017, 02:45 PM
MowingDevil MowingDevil is offline
Member
 
Join Date: Jun 2017
Location: Canada
Posts: 3
Default "incompatible EuCon version" error when launching Logic X

I'm getting this error whenever launching Logic on my iMac whether the Artist Mix is plugged in or not. I've installed the latest version of EuControl (3.6) and installed the latest firmware. I have a reasonably new iMac 5k Retina running Yosemite (OS X 10.10.5) and an almost current version of Logic Pro X (10.2.4). I suppose I could update the OS and Logic but this error message has been showing up for awhile now.

Any thoughts? I'm almost certain this version of EuControl is compatible w/ OS X 10.10.4 and higher so updating the OS shouldn't be the issue here.
Reply With Quote
  #2  
Old 06-13-2017, 08:55 PM
EddieJones's Avatar
EddieJones EddieJones is offline
Avid
 
Join Date: Dec 2014
Location: Santa Cruz
Posts: 2,295
Default Re: "incompatible EuCon version" error when launching Logic X

I think this means you have some old lingering EUCON on your system, try the clean EUCON script and then search for MC Client and delete any. Clean EUCON
Reply With Quote
  #3  
Old 06-15-2017, 11:17 AM
MowingDevil MowingDevil is offline
Member
 
Join Date: Jun 2017
Location: Canada
Posts: 3
Default Re: "incompatible EuCon version" error when launching Logic X

Awesome! That worked.

ps As an aside, the fader values don't seem to align w/ the numbers on the Artist Mix display (and printed on the side of the fader). For example, +6 on the DAW is about +4.5 on the Mix unit. Is this because of a setting in the DAW? Perhaps a calibration is needed.

Thanks so much.
MD
Reply With Quote
  #4  
Old 06-15-2017, 11:20 AM
EddieJones's Avatar
EddieJones EddieJones is offline
Avid
 
Join Date: Dec 2014
Location: Santa Cruz
Posts: 2,295
Default Re: "incompatible EuCon version" error when launching Logic X

This is up to Logic, not sure there a setting for it either
Reply With Quote
  #5  
Old 06-15-2017, 11:25 AM
MowingDevil MowingDevil is offline
Member
 
Join Date: Jun 2017
Location: Canada
Posts: 3
Default Re: "incompatible EuCon version" error when launching Logic X

Ok, cheers.
Reply With Quote
  #6  
Old 12-01-2017, 05:04 AM
Captain Al Captain Al is offline
Member
 
Join Date: Jan 2015
Location: London
Posts: 11
Default Re: "incompatible EuCon version" error when launching Logic X

Quote:
Originally Posted by EddieJones View Post
I think this means you have some old lingering EUCON on your system, try the clean EUCON script and then search for MC Client and delete any. Clean EUCON
I appreciate the link I had forgotten about the Euphinix script to clean out the install, but this doesn't solve the problem, to me it looks like Avid reset a version counter and forgot when they did the update.
I have to say out of all software over the years the EuControl is the most unreliable software I've ever come across. it can cause no end of crashes and as for getting the networking working well thats like magic.Rolling back to 3.6 as I type this..
Reply With Quote
  #7  
Old 12-01-2017, 09:51 AM
EddieJones's Avatar
EddieJones EddieJones is offline
Avid
 
Join Date: Dec 2014
Location: Santa Cruz
Posts: 2,295
Default Re: "incompatible EuCon version" error when launching Logic X

Quote:
Originally Posted by Captain Al View Post
I appreciate the link I had forgotten about the Euphinix script to clean out the install, but this doesn't solve the problem, to me it looks like Avid reset a version counter and forgot when they did the update.
I have to say out of all software over the years the EuControl is the most unreliable software I've ever come across. it can cause no end of crashes and as for getting the networking working well thats like magic.Rolling back to 3.6 as I type this..
Please remember that there are 10's of thousands of EuControl users and whilst there were reliability issues in the past, these have been mostly cleared up over the last 3 releases. If it was as bad as you say I would not get any sleep ;-)
Just to clarify, you ran the 3.7 uninstaller that's in the Applications folder and reinstalled 3.7 and it still had this error?
Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
"EUCON Personality could not be loaded" Error? Convectuoso Artist Series 15 08-08-2019 10:40 AM
pro tools 10 launching - "this software requires a new version of interLok driver" stopi Pro Tools 10 3 04-21-2016 11:10 AM
controller personality "EUCON" incompatible Pz5 Artist Series 8 06-04-2013 12:39 PM
[Logic Pro 9 & Artist Mix] Incompatible EuCon version at initialization w00fa Artist Series 26 04-05-2013 07:17 AM
"Quick Start has failed" error when launching Pro Tools SE AvidCS Pro Tools SE and Essential (Mac) 1 03-10-2012 02:51 PM


All times are GMT -7. The time now is 07:33 AM.


Powered by: vBulletin, Copyright ©2000 - 2008, Jelsoft Enterprises Limited. Forum Hosted By: URLJet.com